<?php
//include('../seguridad_pro.php');
require_once '../app/model/db.class.php';
require_once("../dompdf/dompdf_config.inc.php");

date_default_timezone_set('UTC');

function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

    $dir = $_GET['dir'];

    if ($dir=='2'){
        $id = $_GET['id'];
    }

    $periodo = $_GET['periodo'];
    $sede = $_GET['sede'];
    $grado =  $_GET['grado'];
    $curso =  $_GET['curso'];
    $jornada= $_GET['jornada'];

    if ($periodo=='5'){
        $periodo='4';
    }


    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $s="<html><head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'><meta http-equiv='Content-Type' content='text/html; charset=UTF-8'><title></title>";

    $s.="</head><body>";
     
     $s.="<table align='center' width=75%'><tr>";
    // BUSCAMOS EL NOMBRE DE LA SEDE
      $descrip_sede=$obj->consulta("select descripcion from sedes where codigo='".$sede."'");
      $row1 = $obj->fetch_assoc($descrip_sede);
      $s.="<td align='center'><h6>SEDE    :  ".$row1['descripcion']."</h6></td>";


    // BUSCAMOS EL NOMBRE DE LA JORNADAS
      $descrip_jornada=$obj->consulta("select descripcion from jornadas where codigo='".$jornada."'");
      $row2 = $obj->fetch_assoc($descrip_jornada);
      $s.="<td align='center'><h6>JORNADA    :  ".$row2['descripcion']."</h6></td>";


    // BUSCAMOS EL NOMBRE DEL CURSO
       $cursos=$obj->consulta("select * from cursos  where sede='".$sede."' and jornada='".$jornada."' and grado='". $grado."' and codigo='". $curso."'");
       $row_cur = $obj->fetch_assoc($cursos);
       $s.="<td align='center'><h6>CURSO    :  ".$row_cur['descripcion']."</h6></td>";

    // COLOCAMOS FECH Y EL PERIODO

       $s.="<td align='center'><h6>PERIODO    :  ".$periodo."</h6></td>";
       $s.="<td align='center'><h6>".date("F j, Y, g:i a")."</h6></td></tr>";

     $s.="</table></center>";


    /*----- ASIGNATURAS DEL CURSO -----------*/
    
    $asignaturas=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.nombrecorto from catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura
                    where curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$curso."' order by catalogo.orden");

    $n=$obj->numero_de_filas($asignaturas);

    $s.="<center><table align='center' align='center' id='font' border='1' cellspacing='0' cellpadding='0' width='90%'>";
    $s.="<tr><th style='font-size:6px;font-family: Georgia, 'Times New Roman', serif;'>ALUMNOS</th>";

    $l=0;

    /*---- NOMBRE DE LAS ASIGNATURAS - ENCABEZADOS --- */

    while($row_asign = $obj->fetch_assoc($asignaturas)){

          $arr_asig[$l]=$row_asign['asignatura'];
          $s.="<th style='font-size:8px;font-family: Georgia, 'Times New Roman', serif;' >".$row_asign['nombrecorto']."</th>";
          $l++;
    }
    $s.="</tr>";
     /*---------------------------------------------- */

     $alumnos=$obj->consulta("select matriculas.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre from alumnos
                             inner join matriculas on alumnos.codigo = matriculas.codigo where matriculas.grado='".$grado."' and matriculas.curso='".$curso."'
                             and matriculas.estado='A' order by alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre");


    /*---- NOMBRE DE LOS ALUMNOS ------ */
    while($row_alum = $obj->fetch_assoc($alumnos)){
          $s.="<tr>";

          $s.="<td style='font-size:8px;font-family: Georgia, 'Times New Roman', serif;'>".$row_alum['codigo']."  -  ".$row_alum['p_apellido']." ".$row_alum['s_apellido']." ".$row_alum['p_nombre']." ".$row_alum['s_nombre']."</td>";

          /* ---- Ciclo para las asignaturas --- */
          $i=0;
          while($i<$n){

                 $notas_periodos=$obj->consulta("select boletin.periodo, boletin.asignatura, detalleboletin.alumno, detalleboletin.definitiva from boletin inner
                                 join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.grado='".$grado."' and boletin.curso='".$curso."' and
                                 boletin.asignatura=".$arr_asig[$i]." and detalleboletin.alumno=".$row_alum['codigo']." order by boletin.periodo");

                $k=1;
                $suma=0;
                $cadena="";
                while($row_notas = $obj->fetch_assoc($notas_periodos) and $k<=$periodo){

                      if (strlen($row_notas['definitiva'])==1) {
                          $def=$row_notas['definitiva'].".0";
                      }else{
                         $def=$row_notas['definitiva'];
                      }

                      $suma=$suma+$def;
                      $cadena.=$def."-";

                $k++;
                }

                
                //---- Tamamos la nota definitiva de la tabla notas_finales_asign --------

                if ($periodo=='4'){

                    $nota_final="select * from notas_finales_asign where grado='".$grado."' and grupo='".$curso."' and asignatura='".$arr_asig[$i]."' and codigo='".$row_alum['codigo']."'";
                    $nota_final=$obj->consulta($nota_final);

                    $promedio=0;
                    $fila1 = $obj->fetch_assoc($nota_final);
                    $promedio=$fila1['definitiva'];

                    if (strlen($promedio)==1) {
                        $promedio=$promedio.".0";
                    }

                }


               else{    //--------------------------------------------------

                $promedio=$suma/$periodo;

                $cadena=substr($cadena,0, strlen($cadena)-1);  //QUITAR 3 CARACTERES FINALES

                if ($promedio<3){
                    $s.="<td bgcolor='yellow' align='center' style='font-size:8px;font-family: Georgia, 'Times New Roman', serif;'>".$cadena." = ".$promedio."</td>";
                }else{
                     $s.="<td align='center' style='font-size:8px;font-family: Georgia, 'Times New Roman', serif;'>".$cadena." = ".$promedio."</td>";
                }

                $i++;

          }

          }
          
          $s.="</tr>";
     }
     /*---------------------------------------------- */

     $s.="</table></center>";

    $s.="</body></html>";

    $obj->disconnect();

    $dompdf = new DOMPDF();     
    $dompdf->load_html($s);
    
    $dompdf->set_paper("letter", $orientation = "landscape");
    $dompdf->render();

    $dompdf->stream($grado."_".$curso.".pdf", array("Attachment" => false));
   
    ?>